--比奇省(右)挂机，适合新号挂机
--在比奇城的右边按指定线路进行循环挂机，配合挂机》触发设置可以
--实现回城卖东西、补回城卷，然后继续去挂机，依此循环

function 回城()
	--肉铺卖所有的东西
	local bsold=是否需要卖()
	if bsold then
		移动到范围2("0",313,271,5)
		等待(1000)
		坐标对话(313,271)
		等待(1000)
		选择("@2")
		等待(1000)
		卖()
	end
	--买回城卷
	local nHCNum=获取物品数量("回城卷")
	if nHCNum<1 then
		移动到范围2("0",378,298,5)
		等待(1000)
		坐标对话(378,298)
		等待(1000)
		选择("@-1")
		等待(1000)
		买("回城卷",1,10,1500)
	end
	return 挂机()
end

function 挂机()
	开始挂机()
	使用物品("回城卷")
	等待(2000)
	return 回城()
end

do
	设置来回挂机路线()
	添加挂机路线点2("0",455,355,5)
	添加挂机路线点2("0",380,489,5)
	添加挂机路线点2("0",611,584,5)
	添加挂机路线点2("0",609,237,5)
	挂机()
end
